/*
 * @Copyright: Copyright (c) 2019
 * @Author: caizhijun
 * @Version: 1.0
 * @Date: 2019-10-15 10:06:48
 */
// Learn cc.Class:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] https://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        rigid: cc.Node,
        noRigid: cc.Node,
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad () {
        cc.director.getPhysicsManager().enabled = true;
    },

    start () {

    },

    // update (dt) {},

    onClick(event, data){
        switch(data){
            case 't1':{
                this.rigid.runAction(cc.sequence(
                    cc.moveBy(1, 200, 0),
                    cc.place(0, 110)
                ));
                break;
            }
            case 't2':{
                this.noRigid.runAction(cc.sequence(
                    cc.moveBy(1, 200, 0),
                    cc.place(0, 0)
                ));
                break;
            }
        }
    },
});
